Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrStrikethroughColor Class Reference

Pango strikethrough color C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrStrikethroughColor:

List of all members.

## Public Member Functions

Constructors

- AttrStrikethroughColor (unsigned short red, unsigned short green, unsigned short blue)
    Construct a new strikethrough color attribute.

## Detailed Description

Pango strikethrough color C++ wrapper class.

AttrStrikethroughColor wraps the strikethrough color attribute (ATTR_STRIKETHROUGH_COLOR).

## Constructor & Destructor Documentation

Xfc::Pango::AttrStrikethroughColor::AttrStrikethroughColor | ( | unsigned short | red,
|  | unsigned short | green,
|  | unsigned short | blue
| ) | `[explicit]`

Construct a new strikethrough color attribute.

Parameters:

  | red | The red value (ranging from 0 to 65535).
  | green | The green value.
  | blue | The blue value.

This attribute modifies the color of strikethrough lines. If not set, strikethrough lines will use the foreground color.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3